{% extends "base.html" %}
{% load i18n %}
{% load static from staticfiles %}
{% load url from future %}

{% block content %}
    <h1>
        {% blocktrans %}Upload{% endblocktrans %}
    </h1>

    <div class="fieldWrapper{% if form.message.errors %} errors{% endif %}">
        {% if form.message.errors %}
            <ol>
                {% for error in form.message.errors %}
                    <li><strong>{{ error|escape }}</strong></li>
                {% endfor %}
            </ol>
        {% endif %}
        {{ form.message }}
    </div>

    <p>
    le fichier doit contenir un séminaire par ligne, sous la forme suivante:
    <pre><code>&lt;labo_id&gt; &lt;url_a_collecter&gt; &lt;type_de_flux&gt; &lt;categorie&gt; &lt;titre du seminaire&gt;</code></pre>
    <ul>
    <li>labo_id est optionnel, il écrase le choix fait dans la liste déroulante</li>
    <li>labo_id se trouve sur <a href="https://portail.math.cnrs.fr/annuaire/Laboratoires">l'annuaire</a>, c'est le chiffre qui apparait dans le lien "Détails"</li>
    <li>l'url peut contenir webcal://</li>
    <li>toute ligne commençant par # est un commentaire</li>
    <li>type de flux: {% for parse in parsers %}{{ parse.0 }} (pour {{ parse.1 }}), {% endfor %}</li>
    <li>catégorie: {% for cat in categories %}{{ cat.id }} (pour {{ cat.name }}), {% endfor %}</li>
    <li>les 4 premières colonnes sont séparées par un espace</li>
    <li>tout ce qui est après le 4ème espace est considéré comme le titre du séminaire</li>
    </ul>
    Exemple
    <pre><code>
58 https://indico.math.cnrs.fr/export/categ/126.json JS 5 Conférence
233 http://www.i2m.univ-amu.fr/spip.php?page=seminaire_ical&id_article=253 IC 1 Groupe de Travail Autour de 3-Variétés
http://www.i2m.univ-amu.fr/spip.php?page=seminaire_ical&id_article=143 IC 1 Groupe de Travail Surfaces non kähleriennes et classification
    </code></pre>
    </p>

    <form enctype="multipart/form-data" action="" method="post">{% csrf_token %}
        {{ form.non_field_errors }}
        <div class="fieldWrapper">
            <label for="id_matrice_file">File to Upload</label>
            {{ form.as_table }}
        </div>

        <span>
            <input type="submit" value="Submit"/>
        </span>
    </form>


{% endblock %}

{% block css %}
    {{ block.super }}
    <link rel="stylesheet" href="{% static 'css/select2.min.css' %}"/>
{% endblock %}

{% block controleur_js %}
    {{ block.super }}
    <script src="{% static 'js/select2.min.js' %}"></script>

    <script type="text/javascript">
        $('.js-example-basic-single').select2();
    </script>

{% endblock %}


